MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028977Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-07 17:042017-09-04 18:25
Reporterrnv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028977: FFmpeg libraries are not presented in the CMake configuration
DescriptionFFmpeg libraries are not present in the OpenCASCADEVisualizationTargets.cmake configuration file. Library libTKService.so depends on FFmpeg libraries and as a result during a linking third-party library with libTKService.so the following error occurs:

dn63/builds/CR0-OCCT720-BETA_CR0-OCCT720-BETA/CentOS64-64-opt/OCCT/lib/libTKService.so: undefined reference to `avformat_free_context@LIBAVFORMAT_57'
/dn63/builds/CR0-OCCT720-BETA_CR0-OCCT720-BETA/CentOS64-64-opt/OCCT/lib/libTKService.so: undefined reference to `av_write_trailer@LIBAVFORMAT_57'
/dn63/builds/CR0-OCCT720-BETA_CR0-OCCT720-BETA/CentOS64-64-opt/OCCT/lib/libTKService.so: undefined reference to `av_get_pix_fmt@LIBAVUTIL_55'
/dn63/builds/CR0-OCCT720-BETA_CR0-OCCT720-BETA/CentOS64-64-opt/OCCT/lib/libTKService.so: undefined reference to `av_frame_alloc@LIBAVUTIL_55'
..........................
..........................
..........................
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0029082assignedapn Configuration: Swresample-2.dll is not installed 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0069800)
git (administrator)
2017-08-23 18:17

Branch CR28977 has been created by ski.

SHA-1: 51b8abc971e6e10c3c88a36baee791dd60ba1355


Detailed log of new commits:

Author: ski
Date: Wed Aug 23 18:12:47 2017 +0300

    0028977: FFmpeg libraries are not presented in the CMake configuration
    
    Corrected search of FFmpeg libraries.
(0069815)
ski (developer)
2017-08-24 10:46
edited on: 2017-08-28 10:25

Dear rnv,

Could you please review and check behavior on CentOS64-64 with the fix from occt branch CR28977?

(0070040)
vsr (developer)
2017-08-29 12:50

I confirm that the fix solves problem.
Please integrate it.
(0070191)
git (administrator)
2017-09-04 18:20

Branch CR28977 has been deleted by kgv.

SHA-1: 51b8abc971e6e10c3c88a36baee791dd60ba1355

- Related Changesets
occt: master 81dc0326
Timestamp: 2017-08-23 15:12:47
Author: ski
Committer: bugmaster
Details ] Diff ]
0028977: FFmpeg libraries are not presented in the CMake configuration

Corrected search of FFmpeg libraries.
mod - adm/cmake/ffmpeg.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 17:04 rnv New Issue
2017-08-07 17:04 rnv Assigned To => bugmaster
2017-08-07 17:22 bugmaster Assigned To bugmaster => apn
2017-08-07 17:22 bugmaster Status new => feedback
2017-08-23 18:17 git Note Added: 0069800
2017-08-24 10:45 ski Assigned To apn => rnv
2017-08-24 10:46 ski Note Added: 0069815
2017-08-28 10:24 ski Status feedback => resolved
2017-08-28 10:25 ski Note Edited: 0069815 View Revisions
2017-08-28 11:53 ski Assigned To rnv => vsr
2017-08-29 12:50 vsr Note Added: 0070040
2017-08-29 12:50 vsr Assigned To vsr => bugmaster
2017-08-29 12:50 vsr Status resolved => reviewed
2017-08-29 15:45 bugmaster Status reviewed => tested
2017-08-29 18:06 bugmaster Test case number => Not required
2017-08-31 18:37 bugmaster Changeset attached => occt master 81dc0326
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070191
2017-09-04 18:25 kgv Relationship added parent of 0029082


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker